# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('reference_cmsplugin', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='category',
            options={'verbose_name': 'Category', 'verbose_name_plural': 'Categories', 'ordering': ['-order']},
        ),
        migrations.AlterModelOptions(
            name='reference',
            options={'verbose_name': 'Reference', 'verbose_name_plural': 'References', 'ordering': ['-order']},
        ),
        migrations.AlterModelOptions(
            name='referenceplugin',
            options={'verbose_name': 'Reference Plugin', 'verbose_name_plural': 'Reference Plugins'},
        ),
        migrations.RemoveField(
            model_name='reference',
            name='alt',
        ),
        migrations.AddField(
            model_name='category',
            name='enabled',
            field=models.BooleanField(verbose_name='Enabled', default=True),
        ),
        migrations.AddField(
            model_name='reference',
            name='description',
            field=models.TextField(verbose_name='Description', blank=True),
        ),
        migrations.AddField(
            model_name='reference',
            name='enabled',
            field=models.BooleanField(verbose_name='Enabled', default=True),
        ),
        migrations.AlterField(
            model_name='category',
            name='name',
            field=models.CharField(verbose_name='Name', max_length=500),
        ),
        migrations.AlterField(
            model_name='category',
            name='order',
            field=models.IntegerField(verbose_name='Order', default=0),
        ),
        migrations.AlterField(
            model_name='reference',
            name='categories',
            field=models.ManyToManyField(db_constraint='Categories', related_name='references', to='reference_cmsplugin.Category'),
        ),
        migrations.AlterField(
            model_name='reference',
            name='image',
            field=models.ImageField(verbose_name='Icon', upload_to=''),
        ),
        migrations.AlterField(
            model_name='reference',
            name='link',
            field=models.URLField(verbose_name='Link', blank=True),
        ),
        migrations.AlterField(
            model_name='reference',
            name='name',
            field=models.CharField(verbose_name='Name', max_length=50, blank=True),
        ),
        migrations.AlterField(
            model_name='reference',
            name='order',
            field=models.IntegerField(verbose_name='Order', default=0),
        ),
        migrations.AlterField(
            model_name='referenceplugin',
            name='categories',
            field=models.ManyToManyField(db_constraint='Categories', related_name='plugins', to='reference_cmsplugin.Category'),
        ),
    ]
