# -*- coding: utf-8 -*-

import pytest

from django.core.management import call_command
from reference_cmsplugin.models import ReferencePlugin


@pytest.mark.django_db
def test_copy_relation():
    call_command('loaddata', 'reference_cmsplugin/tests/test_models.yaml')
    r1 = ReferencePlugin.objects.get(pk=1)

    r2 = ReferencePlugin.objects.create()
    r2.copy_relations(r1)

    assert r2.categories.count() == 2
